<?php
# Users and Permissions Config File

# The name of the company people are registering with. Users will see this in 
# emails sent from the php_users system.
$COMPANY_NAME = "A2E";

# This is the base url that maps to the installation directory
# of php-users. This must *not* end in a trailing slash '/'.

$SOURCE_BASE_URL = "http://a2e.de/adv/php/users/$VERSION";

# Emails will be sent from this person
$WEB_MASTER       = "Administrator";
$WEB_MASTER_EMAIL = "web@a2e.de";

# Old Majordojo Note: Due to a bug in PHP, COOKIE_DOMAIN must contain at least two decimals  

$PROD_DOMAIN = "prod.a2e.de";
$TEST_DOMAIN = "test.a2e.de";
$COOKIE_PATH   = "/";

# If COOKIE_KEY is not set then mcrypt support will be turned off and cookies
# will be stored on the client machine unencrypted. If the parameter is present
# then the value of COOKIE_KEY will be used to encrypt user cookies. If you 
# change the values of COOKIE key, it is recommended you change the value of 
# USER_COOKIE as well to force the user to login again.
# Again, to turn off cookie encryption, comment out the next line:
$USER_COOKIE   = "uz_${VERSION}_fo";
$COOKIE_KEY    = file_get_contents('users_cookie_key.txt', 1);
decho("COOKIE KEY is $COOKIE_KEY");

# These files are included at the top and bottom of every page
if (empty($USERS_SCHEMA)) $USERS_SCHEMA = 'a2e';
if (empty($USERS_DBNAME)) $USERS_DBNAME = 'php_users';
$USERS_HEADER_FILE = "users_header.phps";
$USERS_FOOTER_FILE = "users_footer.phps";
$USERS_SQL_FILE = "users_sql.inc";
# database connect information
$USERS_DB     = "php_users";
# $USERS_DBUSER = getenv('USER') or 'apache';
$USERS_DBPROT = 'pgsql';
$USERS_DBUSER = 'apache';
# $USERS_DBPASS = file_get_contents('users_dbpass.txt', 1);
$USERS_DBHOST = '';
$USERS_DBNAME = 'php_users';
$CRYPTSALT = 'm7';
$USERS_SITE = $USERS_SITES[0];
foreach (array_reverse($USERS_SITES) as $site) { $file = "${site}_users.conf";decho("include $file");include($file); };
$COOKIE_DOMAIN = $PRODUCTION_VERSION ? $PROD_DOMAIN : $TEST_DOMAIN;
$USERS_BASE_URL = empty($USERS_BASE_URL) ? "http://${COOKIE_DOMAIN}/users" : $USERS_BASE_URL;
$USERS_SITE_URL = empty($USERS_SITE_URL) ? "http://${COOKIE_DOMAIN}/${USERS_SITE}_users" : $USERS_SITE_URL;
decho("COOKIE DOMAIN is $COOKIE_DOMAIN");
$USERS_DBUSERPASS = (isset($USERS_DBPASS) && !empty($USERS_DBPASS)) ? "$USERS_DBUSER:$USERS_DBPASS" :  $USERS_DBUSER;
$DSN = isset($DSN) ? $DSN : "$USERS_DBPROT://$USERS_DBUSERPASS@$USERS_DBHOST/$USERS_DBNAME";
$USERS_SCHEMA_FILE = "${USERS_SCHEMA}_users_schema.inc";
include_once("permissions.inc");

# Local Variables:
# coding: utf-8
# mode: php
# srcfile:/adv/php/users/v0_2_4/include/users.conf
# End:
?>
